# libidn

GNU Libidn is an implementation of the stringprep, punycode and IDNA specifications defined by the IETF Internationalized Domain Names (IDN) working group, used for internationalized domain names.
The library contains a generic Stringprep implementation that does Unicode 3.2 NFKC normalization, mapping and prohibitation of characters, and bidirectional character handling.
Profiles for iSCSI, Kerberos 5, Nameprep, SASL and XMPP are included.
Punycode and ASCII Compatible Encoding (ACE) via IDNA are supported.
Libidn is written in C and (parts of) the API is accessible from C, C++, Emacs Lisp, Python and Java. An experimental native Java API is also available.

